#
# spec file for package trytond_party
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2014-2021 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define majorver 5.0
Name:           trytond_party
Version:        %{majorver}.4
Release:        bp153.1.1
Summary:        The "party" module for the Tryton ERP system
License:        GPL-3.0-only
Group:          Productivity/Office/Management
URL:            http://www.tryton.org/
Source:         http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
Source2:        http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz.asc
Source3:        https://keybase.io/cedrickrier/pgp_keys.asc?fingerprint=7C5A4360F6DF81ABA91FD54D6FF50AFE03489130#/%{name}.keyring
# List of additional build dependencies
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-python-stdnum
Requires:       trytond
Requires:       trytond_country
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The party module defines the concepts of party, category and contact
mechanism in the Tryton application platform. It also comes with
reports to print labels and letters and a "Check VIES" wizard.

%prep
%setup -q

%build
%python3_build

%install
%python3_install --prefix=%_prefix --root=%buildroot
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%{python3_sitelib}/*

%changelog
* Sun May 16 2021 Axel Braun <axel.braun@gmx.de>
- Version 5.0.4 - Bugfix Release
* Sat Feb 27 2021 Andreas Stieger <andreas.stieger@gmx.de>
- add upstream signing key and validate source signature
* Sun Jan 24 2021 Axel Braun <axel.braun@gmx.de>
- Adaption to new python macros
* Sat Apr  4 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.3 - Bugfix Release
* Thu Nov 21 2019 Axel Braun <axel.braun@gmx.de>
- version 5.0.2 (GNU Health 3.6 series)
* Fri May 17 2019 Axel Braun <axel.braun@gmx.de>
- Version 4.6.2 - Bugfix Release
* Wed Feb 20 2019 Axel Braun <axel.braun@gmx.de>
- Version 4.6.1 - Bugfix Release
* Sun Oct 29 2017 axel.braun@gmx.de
- Version 4.6.0
* Mon Jul  3 2017 axel.braun@gmx.de
- Version 4.2.4
* Thu Jun 29 2017 axel.braun@gmx.de
- changed link to python3-python-stdnum
* Fri Mar 10 2017 axel.braun@gmx.de
- Version 4.2.3
* Mon Jan 23 2017 axel.braun@gmx.de
- Version 4.2.2
* Fri Jan  6 2017 axel.braun@gmx.de
- Version 4.2.1
* Mon Nov 28 2016 axel.braun@gmx.de 
- Tryton Release 4.2
* Mon May  2 2016 axel.braun@gmx.de 
- Tryton Release 4.0
* Mon Oct 19 2015 axel.braun@gmx.de 
- Tryton Release 3.8
* Wed Apr 15 2015 axel.braun@gmx.de 
- Tryton Release 3.6
* Fri Oct 25 2013 axel.braun@gmx.de
- new branch 3.0
* Thu May  2 2013 axel.braun@gmx.de
- initial build
